---
name: Feature request
about: Suggest an idea for this project
title: '[FEATURE] '
labels: enhancement
assignees: craabreu

---

## Feature Description

A clear and concise description of what you want to happen.

## Problem Statement

Is your feature request related to a problem? Please describe.
A clear and concise description of what the problem is. Ex. I'm always frustrated when [...]

## Proposed Solution

A clear and concise description of what you want to happen.

## Alternatives Considered

A clear and concise description of any alternative solutions or features you've considered.

## Use Case

Describe your use case and how this feature would benefit you and other users.

## Implementation Ideas

If you have ideas about how this could be implemented, please share them:

- [ ] API changes needed
- [ ] New methods/classes
- [ ] Configuration options
- [ ] Documentation updates

## Examples

```python
# Provide examples of how the feature would be used
from opsinpy import OpsinPy

opsin = OpsinPy()
# Example usage of the proposed feature
```

## Additional Context

Add any other context, screenshots, or references about the feature request here.

## Acceptance Criteria

- [ ] Criterion 1
- [ ] Criterion 2
- [ ] Criterion 3 